:root{
    --primary:#e46033;
    --outline:#ff7a3d;
    --white:#fff;
    --black:#0e0000;

}
body {
    background: #f3f1ee;
    color: var(--white);
    font-family: Arial, Helvetica, sans-serif;
}
.loginContainer {
    box-sizing: border-box;
    position: relative;
    width: 750px;
    height: 450px;
    margin: 80px auto;
    border: 2px solid var(--primary);
    box-shadow: 0 0 25px var(--primary);
    overflow: hidden;
    display: flex;
}
.loginContainer::before {
    
    content: "";
    position: absolute;
    width: 50%;
    height: 100%;
    background: linear-gradient(135deg, var(--primary), var(--outline));
    clip-path: polygon(0 0, 100% 0, 60% 100%, 0 100%);
}

.loginContainer h1 {
    margin: 0;
    position: absolute;
    left: 40px;
    top: 100px;
    font-size: 32px;
}

.loginContainer span {
    position: absolute;
    left: 40px;
    top: 150px;
    font-size: 14px;
}

.form-box {
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    box-sizing: border-box;
    position: absolute;
    right: 0;
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 40px;
}


.form-box label {
    margin-top: 10px;
    font-size: 14px;
    color: var(--outline);
}

.form-box input {
    width: 100%;
    height: 40px;
    background: transparent;
    border: none;
    border-bottom: 2px solid var(--outline);
    outline: none;
    color: var(--black);
    font-size: 16px;
    margin-top: 5px;
    transition: all 0.3s ease;
}

.form-box button {
    margin-top: 25px;
    height: 45px;
    background: linear-gradient(to right, var(--primary), var(--outline));
    border: none;
    border-radius: 25px;
    color: white;
    font-size: 16px;
    cursor: pointer;
}

.form-box button:hover {
    transform: translateY(-2px);
  box-shadow: 0 6px 16px rgba(228, 96, 51, 0.4);
  background: linear-gradient(135deg, var(--outline) 0%, var(--primary) 100%);
}
.form-box input:focus{
  border-bottom-color: var(--primary);
  transform: scale(1.1);
}
.signup {
    position: absolute;
    bottom: 20px;
    right: 40px;
    font-size: 14px;
    color: grey;
}

.signup a {
    color: var(--outline);
    text-decoration: none;
}

.custom-alert {
  padding: 0.75rem 1.25rem;
  margin:0 auto;
  border-radius: 1rem;
  font-weight: 500;
  text-align: center;
  max-width: 400px;
  box-shadow: 0 4px 6px rgba(0,0,0,0.1);
}
/*  Success message */
.custom-alert.success {
  background-color: #4caf50;
  color: white;
}
/* Warning message */
 .custom-alert.warning {
  background: linear-gradient(to right, var(--primary), var(--outline));
  color: white;
} 
/* Danger / error message */
 .custom-alert.danger {
  background-color: #f44336;
  color: white;
} 